<?php

class StoreByIdAction extends sfAction {
	
	public function execute($request) {
		try {

			if ($store = ResourceLocator::getInstance()->billingStoreService->getById($request->getParameter('id'))) {
				$this->redirect('@catalog?container=' . $store->orderFormCode);
			}
			throw new StoreException();

		} catch (StoreException $exception) {
			throw new sfError404Exception();
		}
		
	}
}