<?php

require_once(dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php");
require_once("lib-action/action.php");

class ImportPanelCustomers extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$backUrl = bgpc("backUrl", action_url("clients", "ShowClients"));
		$controller  = UIFactory()->WizardController($backUrl);

		require_once("UI/Page/UIImportPanelCustomersPage.php");
		$importPage = $controller->addPage(new UIImportPanelCustomersPage($controller));
		$importPage->title = blmsg("TRANS_PANEL_IMPORT_CUSTOMERS_TITLE");
		$importPage->parent_title = blmsg("TRANS_CLIENTS");
		$importPage->parent_url = $backUrl;

		require_once("UI/Page/UIImportPanelResultPage.php");
		$resultPage = $controller->addPage(new UIImportPanelResultPage($controller));
		$resultPage->title = blmsg("TRANS_PANEL_IMPORT_CUSTOMERS_TITLE");
		$resultPage->parent_title = blmsg("TRANS_CLIENTS");
		$resultPage->parent_url = $backUrl;

		$controller->setValue("panelGUID", bgpc("panelGUID"));
		$controller->setValue("panelClientIDs", bgpc("panelClientIDs"));
		$controller->processRequest();

		$this->smartyVars["page"] = $controller->getPage();
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
