{* Example Usage:
 *	{include file="$commonTplDirectory/widgets/tabs.tpl"
 *		tabs=$tabs
 *	}
 *}

{if 0 != $tabs|@count}

<script type="text/javascript">
{literal}
var tabsList = [];
{/literal}

{foreach from=$tabs key=tabID item=tab}
tabsList[tabsList.length] = '{$tabID}';
{/foreach}

{literal}
function setTab(id)
{
	var tabs = $$('#screenTabs div ul li');
	if(tabs.length != tabsList.length) {
		alert(tabs.length + '<>' +  tabsList.length);
		return;
	}
	for(var i = 0; i < tabs.length; i++) {
		if(id == tabsList[i]) {
			tabs[i].id = "current";
			if($('tabContent_' +  tabsList[i])) {
				$('tabContent_' +  tabsList[i]).show();
			}
		} else {
			tabs[i].id = "";
			if($('tabContent_' +  tabsList[i])) {
				$('tabContent_' +  tabsList[i]).hide();
			}
		}
	}
}
{/literal}
</script>

<div id="screenTabs">
	<div id="tabs">
		<ul>
		{assign var="index" value="0"}
		{foreach from=$tabs item=tab}
			{if $tab.current}
				{assign var="current" value="current"}
			{else}
				{assign var="current" value=""}
			{/if}

			{if 0 == $index}
				{assign var="class" value="first"}
			{elseif $index+1 == $tabs|@count}
				{assign var="class" value="last}
			{else}
				{assign var="class" value=""}
			{/if}

			<li id="{$current}" class="{$class}">
				<a href="{$tab.url}">
					<span>{$tab.title}</span>
				</a>
			</li>

			{assign var="index" value=$index+1}
		{/foreach}
		</ul>
	</div>
</div>
{/if}