<?php

class SignInAction extends CartAction {
	
	public function execute($request) {
		
		$this->form = new BillingSignInForm(array(
			array(
				'inputs' => array(
					array(
						'id' => 'login',
						'type' => 'text',
						'title' => 'TRANS_USERNAME',
						'required' => true
					),
					array(
						'id' => 'password',
						'type' => 'password',
						'title' => 'TRANS_PASSWORD',
						'required' => true
					)
				)
			)
		));
		
		if ($request->isMethod('post')) {
			try {
				$this->form->bind($request->getParameter($this->form->getName()));
				if ($this->form->isValid()) {
					$this->form->save();
					$this->_router->next();
				} else {
					throw new BillingFormException();
				}
			} catch (StoreException $exception) {
				$this->error = 'TRANS_LOGIN_INCORRECT';
			}
		} else {
			
		}
		
	}
	
}