<?php

class WidgetByIdAction extends sfAction {
	
	public function execute($request) {
		try {

			if ($widget = ResourceLocator::getInstance()->billingWidgetService->getById($request->getParameter('id'))) {
				$this->redirect('@catalog?container=' . $widget->code);
			}
			throw new StoreException();

		} catch (StoreException $exception) {
			throw new sfError404Exception();
		}
		
	}
}